loci.formats.in

## Class SlideBook7Reader.CChannelRecord70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CChannelRecord70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CChannelRecord70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer` | `mByteOrdering`
    `SlideBook7Reader.CChannelDef70` | `mChannelDef`
    `java.lang.Long` | `mDataTablePtr`
    `java.lang.Integer` | `mDataType`
    `SlideBook7Reader.CExposureRecord70` | `mExposureRecord`
    `java.lang.Long` | `mHistogramSummaryPtr`
    `java.lang.Long` | `mHistogramTablePtr`
    `java.lang.Long` | `mManipPtr`
    `java.lang.Integer` | `mNumManip`
    `java.lang.Integer` | `mNumPlanes`
    `java.lang.Integer` | `mStructID`
    `java.lang.Integer` | `mStructLen`
    `java.lang.Integer` | `mStructVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CChannelRecord70()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `Decode(org.yaml.snakeyaml.nodes.MappingNode inNode, int inStartIndex)`

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mStructID

          public java.lang.Integer mStructID

    - #### mStructVersion

          public java.lang.Integer mStructVersion

    - #### mByteOrdering

          public java.lang.Integer mByteOrdering

    - #### mStructLen

          public java.lang.Integer mStructLen

    - #### mNumPlanes

          public java.lang.Integer mNumPlanes

    - #### mNumManip

          public java.lang.Integer mNumManip

    - #### mManipPtr

          public java.lang.Long mManipPtr

    - #### mDataType

          public java.lang.Integer mDataType

    - #### mDataTablePtr

          public java.lang.Long mDataTablePtr

    - #### mHistogramTablePtr

          public java.lang.Long mHistogramTablePtr

    - #### mHistogramSummaryPtr

          public java.lang.Long mHistogramSummaryPtr

    - #### mExposureRecord

          public SlideBook7Reader.CExposureRecord70 mExposureRecord

    - #### mChannelDef

          public SlideBook7Reader.CChannelDef70 mChannelDef

  - ### Constructor Detail

    - #### CChannelRecord70

          CChannelRecord70()

  - ### Method Detail

    - #### Decode

          public int Decode(org.yaml.snakeyaml.nodes.MappingNode inNode,
                            int inStartIndex)

      Overrides:
        `Decode` in class `SlideBook7Reader.ClassDecoder`

Copyright © 2026 Open Microscopy Environment